com.genesyslab.wfm8.API.service.builder800

## Class SiteReoptimizationParams

- java.lang.Object
- - com.genesyslab.wfm8.API.service.builder800.SiteReoptimizationParams

- All Implemented Interfaces:
    java.io.Serializable

      public class SiteReoptimizationParams
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.util.List<java.lang.Integer>` | `agentIDArray` The list of agent IDs for which schedule should be reoptimized.
    `protected int` | `agentIDArraySize`
    `protected boolean` | `excludeGrantedFromTeam` True/False if agents with granted preferences should be excluded from team.
    `protected boolean` | `grantAllPreferences` True if 100% of preferences should be granted by calendar.
    `protected boolean` | `ignoreFirstMonthConstraints`
    `protected boolean` | `multiSkill` True/False if multi skill scheduling option should be used when reoptimizing.
    `private static long` | `serialVersionUID`
    `protected boolean` | `shuffleAgents` True/False if agents should be shuffled when reoptimizing.
    `protected int` | `siteID` ID of the site.
    `protected java.util.List<java.lang.Integer>` | `teamIDArray` The list of agent team IDs for which schedule should be reoptimized.
    `protected int` | `teamIDArraySize`
    `protected boolean` | `teamSyncBreaks`
    `protected boolean` | `teamSyncByContract`
    `protected boolean` | `teamSyncDayStatus`
    `protected boolean` | `teamSyncMeals`
    `protected boolean` | `teamSyncPaidDuration`
    `protected boolean` | `teamSyncStart`
    `protected int` | `teamWorkStartWindow`
    `protected boolean` | `useRequiredStaffing`
    `protected boolean` | `useTeamConstraints` True/False if team constraints should be used when reoptimizing.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SiteReoptimizationParams()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `java.util.List<java.lang.Integer>` | `getAgentIDArray()` Gets the value of the agentIDArray property.
    `int` | `getAgentIDArraySize()` Gets the value of the agentIDArraySize property.
    `int` | `getSiteID()` Gets the value of the siteID property.
    `java.util.List<java.lang.Integer>` | `getTeamIDArray()` Gets the value of the teamIDArray property.
    `int` | `getTeamIDArraySize()` Gets the value of the teamIDArraySize property.
    `int` | `getTeamWorkStartWindow()` Gets the value of the teamWorkStartWindow property.
    `int` | `hashCode()`
    `boolean` | `isExcludeGrantedFromTeam()` Gets the value of the excludeGrantedFromTeam property.
    `boolean` | `isGrantAllPreferences()` Gets the value of the grantAllPreferences property.
    `boolean` | `isIgnoreFirstMonthConstraints()` Gets the value of the ignoreFirstMonthConstraints property.
    `boolean` | `isMultiSkill()` Gets the value of the multiSkill property.
    `boolean` | `isShuffleAgents()` Gets the value of the shuffleAgents property.
    `boolean` | `isTeamSyncBreaks()` Gets the value of the teamSyncBreaks property.
    `boolean` | `isTeamSyncByContract()` Gets the value of the teamSyncByContract property.
    `boolean` | `isTeamSyncDayStatus()` Gets the value of the teamSyncDayStatus property.
    `boolean` | `isTeamSyncMeals()` Gets the value of the teamSyncMeals property.
    `boolean` | `isTeamSyncPaidDuration()` Gets the value of the teamSyncPaidDuration property.
    `boolean` | `isTeamSyncStart()` Gets the value of the teamSyncStart property.
    `boolean` | `isUseRequiredStaffing()` Gets the value of the useRequiredStaffing property.
    `boolean` | `isUseTeamConstraints()` Gets the value of the useTeamConstraints property.
    `void` | `setAgentIDArray(java.util.List<java.lang.Integer> agentIDArray)` Sets the value of the agentIDArray property.
    `void` | `setAgentIDArraySize(int agentIDArraySize)` Sets the value of the agentIDArraySize property.
    `void` | `setExcludeGrantedFromTeam(boolean excludeGrantedFromTeam)` Sets the value of the excludeGrantedFromTeam property.
    `void` | `setGrantAllPreferences(boolean grantAllPreferences)` Sets the value of the grantAllPreferences property.
    `void` | `setIgnoreFirstMonthConstraints(boolean ignoreFirstMonthConstraints)` Sets the value of the ignoreFirstMonthConstraints property.
    `void` | `setMultiSkill(boolean multiSkill)` Sets the value of the multiSkill property.
    `void` | `setShuffleAgents(boolean shuffleAgents)` Sets the value of the shuffleAgents property.
    `void` | `setSiteID(int siteID)` Sets the value of the siteID property.
    `void` | `setTeamIDArray(java.util.List<java.lang.Integer> teamIDArray)` Sets the value of the teamIDArray property.
    `void` | `setTeamIDArraySize(int teamIDArraySize)` Sets the value of the teamIDArraySize property.
    `void` | `setTeamSyncBreaks(boolean teamSyncBreaks)` Sets the value of the teamSyncBreaks property.
    `void` | `setTeamSyncByContract(boolean teamSyncByContract)` Sets the value of the teamSyncByContract property.
    `void` | `setTeamSyncDayStatus(boolean teamSyncDayStatus)` Sets the value of the teamSyncDayStatus property.
    `void` | `setTeamSyncMeals(boolean teamSyncMeals)` Sets the value of the teamSyncMeals property.
    `void` | `setTeamSyncPaidDuration(boolean teamSyncPaidDuration)` Sets the value of the teamSyncPaidDuration property.
    `void` | `setTeamSyncStart(boolean teamSyncStart)` Sets the value of the teamSyncStart property.
    `void` | `setTeamWorkStartWindow(int teamWorkStartWindow)` Sets the value of the teamWorkStartWindow property.
    `void` | `setUseRequiredStaffing(boolean useRequiredStaffing)` Sets the value of the useRequiredStaffing property.
    `void` | `setUseTeamConstraints(boolean useTeamConstraints)` Sets the value of the useTeamConstraints property.
    `java.lang.String` | `toString()`
    `SiteReoptimizationParams` | `withAgentIDArray(java.util.Collection<java.lang.Integer> values)`
    `SiteReoptimizationParams` | `withAgentIDArray(java.lang.Integer... values)`
    `SiteReoptimizationParams` | `withAgentIDArraySize(int value)`
    `SiteReoptimizationParams` | `withExcludeGrantedFromTeam(boolean value)`
    `SiteReoptimizationParams` | `withGrantAllPreferences(boolean value)`
    `SiteReoptimizationParams` | `withIgnoreFirstMonthConstraints(boolean value)`
    `SiteReoptimizationParams` | `withMultiSkill(boolean value)`
    `SiteReoptimizationParams` | `withShuffleAgents(boolean value)`
    `SiteReoptimizationParams` | `withSiteID(int value)`
    `SiteReoptimizationParams` | `withTeamIDArray(java.util.Collection<java.lang.Integer> values)`
    `SiteReoptimizationParams` | `withTeamIDArray(java.lang.Integer... values)`
    `SiteReoptimizationParams` | `withTeamIDArraySize(int value)`
    `SiteReoptimizationParams` | `withTeamSyncBreaks(boolean value)`
    `SiteReoptimizationParams` | `withTeamSyncByContract(boolean value)`
    `SiteReoptimizationParams` | `withTeamSyncDayStatus(boolean value)`
    `SiteReoptimizationParams` | `withTeamSyncMeals(boolean value)`
    `SiteReoptimizationParams` | `withTeamSyncPaidDuration(boolean value)`
    `SiteReoptimizationParams` | `withTeamSyncStart(boolean value)`
    `SiteReoptimizationParams` | `withTeamWorkStartWindow(int value)`
    `SiteReoptimizationParams` | `withUseRequiredStaffing(boolean value)`
    `SiteReoptimizationParams` | `withUseTeamConstraints(boolean value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### siteID

          protected int siteID

      ID of the site.

    - #### agentIDArraySize

          protected int agentIDArraySize

    - #### agentIDArray

          protected java.util.List<java.lang.Integer> agentIDArray

      The list of agent IDs for which schedule should be reoptimized.

    - #### teamIDArraySize

          protected int teamIDArraySize

    - #### teamIDArray

          protected java.util.List<java.lang.Integer> teamIDArray

      The list of agent team IDs for which schedule should be reoptimized.

    - #### multiSkill

          protected boolean multiSkill

      True/False if multi skill scheduling option should be used when reoptimizing.

    - #### useRequiredStaffing

          protected boolean useRequiredStaffing

    - #### useTeamConstraints

          protected boolean useTeamConstraints

      True/False if team constraints should be used when reoptimizing.

    - #### excludeGrantedFromTeam

          protected boolean excludeGrantedFromTeam

      True/False if agents with granted preferences should be excluded from team.

    - #### shuffleAgents

          protected boolean shuffleAgents

      True/False if agents should be shuffled when reoptimizing.

    - #### ignoreFirstMonthConstraints

          protected boolean ignoreFirstMonthConstraints

    - #### teamSyncByContract

          protected boolean teamSyncByContract

    - #### teamSyncStart

          protected boolean teamSyncStart

    - #### teamWorkStartWindow

          protected int teamWorkStartWindow

    - #### teamSyncDayStatus

          protected boolean teamSyncDayStatus

    - #### teamSyncPaidDuration

          protected boolean teamSyncPaidDuration

    - #### teamSyncMeals

          protected boolean teamSyncMeals

    - #### teamSyncBreaks

          protected boolean teamSyncBreaks

    - #### grantAllPreferences

          protected boolean grantAllPreferences

      True if 100% of preferences should be granted by calendar.

  - ### Constructor Detail

    - #### SiteReoptimizationParams

          public SiteReoptimizationParams()

  - ### Method Detail

    - #### getSiteID

          public int getSiteID()

      Gets the value of the siteID property.

    - #### setSiteID

          public void setSiteID(int siteID)

      Sets the value of the siteID property.

    - #### withSiteID

          public SiteReoptimizationParams withSiteID(int value)

    - #### isGrantAllPreferences

          public boolean isGrantAllPreferences()

      Gets the value of the grantAllPreferences property.

    - #### setGrantAllPreferences

          public void setGrantAllPreferences(boolean grantAllPreferences)

      Sets the value of the grantAllPreferences property.

    - #### withGrantAllPreferences

          public SiteReoptimizationParams withGrantAllPreferences(boolean value)

    - #### getAgentIDArraySize

          public int getAgentIDArraySize()

      Gets the value of the agentIDArraySize property.

    - #### setAgentIDArraySize

          public void setAgentIDArraySize(int agentIDArraySize)

      Sets the value of the agentIDArraySize property.

    - #### withAgentIDArraySize

          public SiteReoptimizationParams withAgentIDArraySize(int value)

    - #### getAgentIDArray

          public java.util.List<java.lang.Integer> getAgentIDArray()

      Gets the value of the agentIDArray property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the agentIDArray property.

      For example, to add a new item, do as follows:

              getAgentIDArray().add(newItem);

      Objects of the following type(s) are allowed in the list `Integer`

    - #### setAgentIDArray

          public void setAgentIDArray(java.util.List<java.lang.Integer> agentIDArray)

      Sets the value of the agentIDArray property.
      Parameters:
        `agentIDArray` - allowed object is `Integer`

    - #### withAgentIDArray

          public SiteReoptimizationParams withAgentIDArray(java.lang.Integer... values)

    - #### withAgentIDArray

          public SiteReoptimizationParams withAgentIDArray(java.util.Collection<java.lang.Integer> values)

    - #### getTeamIDArraySize

          public int getTeamIDArraySize()

      Gets the value of the teamIDArraySize property.

    - #### setTeamIDArraySize

          public void setTeamIDArraySize(int teamIDArraySize)

      Sets the value of the teamIDArraySize property.

    - #### withTeamIDArraySize

          public SiteReoptimizationParams withTeamIDArraySize(int value)

    - #### getTeamIDArray

          public java.util.List<java.lang.Integer> getTeamIDArray()

      Gets the value of the teamIDArray property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the teamIDArray property.

      For example, to add a new item, do as follows:

              getTeamIDArray().add(newItem);

      Objects of the following type(s) are allowed in the list `Integer`

    - #### setTeamIDArray

          public void setTeamIDArray(java.util.List<java.lang.Integer> teamIDArray)

      Sets the value of the teamIDArray property.
      Parameters:
        `teamIDArray` - allowed object is `Integer`

    - #### withTeamIDArray

          public SiteReoptimizationParams withTeamIDArray(java.lang.Integer... values)

    - #### withTeamIDArray

          public SiteReoptimizationParams withTeamIDArray(java.util.Collection<java.lang.Integer> values)

    - #### isExcludeGrantedFromTeam

          public boolean isExcludeGrantedFromTeam()

      Gets the value of the excludeGrantedFromTeam property.

    - #### setExcludeGrantedFromTeam

          public void setExcludeGrantedFromTeam(boolean excludeGrantedFromTeam)

      Sets the value of the excludeGrantedFromTeam property.

    - #### withExcludeGrantedFromTeam

          public SiteReoptimizationParams withExcludeGrantedFromTeam(boolean value)

    - #### isIgnoreFirstMonthConstraints

          public boolean isIgnoreFirstMonthConstraints()

      Gets the value of the ignoreFirstMonthConstraints property.

    - #### setIgnoreFirstMonthConstraints

          public void setIgnoreFirstMonthConstraints(boolean ignoreFirstMonthConstraints)

      Sets the value of the ignoreFirstMonthConstraints property.

    - #### withIgnoreFirstMonthConstraints

          public SiteReoptimizationParams withIgnoreFirstMonthConstraints(boolean value)

    - #### isMultiSkill

          public boolean isMultiSkill()

      Gets the value of the multiSkill property.

    - #### setMultiSkill

          public void setMultiSkill(boolean multiSkill)

      Sets the value of the multiSkill property.

    - #### withMultiSkill

          public SiteReoptimizationParams withMultiSkill(boolean value)

    - #### isShuffleAgents

          public boolean isShuffleAgents()

      Gets the value of the shuffleAgents property.

    - #### setShuffleAgents

          public void setShuffleAgents(boolean shuffleAgents)

      Sets the value of the shuffleAgents property.

    - #### withShuffleAgents

          public SiteReoptimizationParams withShuffleAgents(boolean value)

    - #### isUseRequiredStaffing

          public boolean isUseRequiredStaffing()

      Gets the value of the useRequiredStaffing property.

    - #### setUseRequiredStaffing

          public void setUseRequiredStaffing(boolean useRequiredStaffing)

      Sets the value of the useRequiredStaffing property.

    - #### withUseRequiredStaffing

          public SiteReoptimizationParams withUseRequiredStaffing(boolean value)

    - #### isTeamSyncMeals

          public boolean isTeamSyncMeals()

      Gets the value of the teamSyncMeals property.

    - #### setTeamSyncMeals

          public void setTeamSyncMeals(boolean teamSyncMeals)

      Sets the value of the teamSyncMeals property.

    - #### withTeamSyncMeals

          public SiteReoptimizationParams withTeamSyncMeals(boolean value)

    - #### isTeamSyncBreaks

          public boolean isTeamSyncBreaks()

      Gets the value of the teamSyncBreaks property.

    - #### setTeamSyncBreaks

          public void setTeamSyncBreaks(boolean teamSyncBreaks)

      Sets the value of the teamSyncBreaks property.

    - #### withTeamSyncBreaks

          public SiteReoptimizationParams withTeamSyncBreaks(boolean value)

    - #### getTeamWorkStartWindow

          public int getTeamWorkStartWindow()

      Gets the value of the teamWorkStartWindow property.

    - #### setTeamWorkStartWindow

          public void setTeamWorkStartWindow(int teamWorkStartWindow)

      Sets the value of the teamWorkStartWindow property.

    - #### withTeamWorkStartWindow

          public SiteReoptimizationParams withTeamWorkStartWindow(int value)

    - #### isTeamSyncDayStatus

          public boolean isTeamSyncDayStatus()

      Gets the value of the teamSyncDayStatus property.

    - #### setTeamSyncDayStatus

          public void setTeamSyncDayStatus(boolean teamSyncDayStatus)

      Sets the value of the teamSyncDayStatus property.

    - #### withTeamSyncDayStatus

          public SiteReoptimizationParams withTeamSyncDayStatus(boolean value)

    - #### isTeamSyncPaidDuration

          public boolean isTeamSyncPaidDuration()

      Gets the value of the teamSyncPaidDuration property.

    - #### setTeamSyncPaidDuration

          public void setTeamSyncPaidDuration(boolean teamSyncPaidDuration)

      Sets the value of the teamSyncPaidDuration property.

    - #### withTeamSyncPaidDuration

          public SiteReoptimizationParams withTeamSyncPaidDuration(boolean value)

    - #### isTeamSyncByContract

          public boolean isTeamSyncByContract()

      Gets the value of the teamSyncByContract property.

    - #### setTeamSyncByContract

          public void setTeamSyncByContract(boolean teamSyncByContract)

      Sets the value of the teamSyncByContract property.

    - #### withTeamSyncByContract

          public SiteReoptimizationParams withTeamSyncByContract(boolean value)

    - #### isUseTeamConstraints

          public boolean isUseTeamConstraints()

      Gets the value of the useTeamConstraints property.

    - #### setUseTeamConstraints

          public void setUseTeamConstraints(boolean useTeamConstraints)

      Sets the value of the useTeamConstraints property.

    - #### withUseTeamConstraints

          public SiteReoptimizationParams withUseTeamConstraints(boolean value)

    - #### isTeamSyncStart

          public boolean isTeamSyncStart()

      Gets the value of the teamSyncStart property.

    - #### setTeamSyncStart

          public void setTeamSyncStart(boolean teamSyncStart)

      Sets the value of the teamSyncStart property.

    - #### withTeamSyncStart

          public SiteReoptimizationParams withTeamSyncStart(boolean value)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.